Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdist
Class LognormalDistFromMoments

    java.lang.Object
      umontreal.iro.lecuyer.probdist.ContinuousDistribution
          umontreal.iro.lecuyer.probdist.LognormalDist
              umontreal.iro.lecuyer.probdist.LognormalDistFromMoments

All Implemented Interfaces:
  Distribution

    public class LognormalDistFromMoments

extends LognormalDist

Extends the `LognormalDist` class with a constructor accepting the mean m and the variance v of the distribution as arguments. The mean and variance of a lognormal random variable with parameters μ and σ are eμ+σ2/2 and e2μ+σ2(eσ2 - 1) respectively, so the parameters are given by σ = ((v/m^2+1))1/2 and μ = ln(m) - σ2/2.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`decPrec`

Constructor Summary
`LognormalDistFromMoments(double mean, double var)`

Method Summary

Methods inherited from class umontreal.iro.lecuyer.probdist.LognormalDist
`barF, barF, cdf, cdf, density, density, getInstanceFromMLE, getMaximumLikelihoodEstimate, getMean, getMean, getMLE, getMu, getParams, getSigma, getStandardDeviation, getStandardDeviation, getVariance, getVariance, inverseF, inverseF, setParams, toString`

Methods inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`inverseBisection, inverseBrent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LognormalDistFromMoments

    public LognormalDistFromMoments(double mean,
                                    double var)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.